<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('jobs', function (Blueprint $table) {
            $table->id();

            $table->string('name');
            $table->text('description')->nullable();

            $table->boolean('is_active')->default(false);

            $table->timestamps();
        });

        $this->seed();
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('jobs');
    }

    public function seed(): void
    {
        $jobs = [
            [
                'id' => 1,
                'name' => 'Paramètres généraux',
                'description' => "Les paramètres généraux de l'application.",
                'is_active' => true,
            ],
            [
                'id' => 2,
                'name' => 'Hellcase',
                'description' => 'Prends le daily free et rentre dans les concours. Tourne toutes les 24h.',
            ],
            // [
            //     'id' => 3,
            //     'name' => 'Jeu gratuit Epic Games',
            //     'description' => 'Prends le jeu gratuit Epic games. Tourne tous les mois et tous les jours pendant la période de Noël.',
            // ],
            // [
            //     'id' => 4,
            //     'name' => 'Envoyer un post instagram',
            //     'description' => "Envoye un post instagram avec l'image et le texte fourni. Tourne tous les jours.",
            // ],
        ];

        foreach ($jobs as $job) {
            \App\Models\Job::forcecreate($job);
        }
    }
};
